agents.localModel

## Class Regression

- java.lang.Object
- - org.apache.commons.math3.stat.regression.MillerUpdatingRegression
  - - agents.localModel.Regression

All Implemented Interfaces:
  java.io.Serializable, org.apache.commons.math3.stat.regression.UpdatingMultipleLinearRegression

    public class Regression
    extends org.apache.commons.math3.stat.regression.MillerUpdatingRegression
    implements java.io.Serializable

Class needed for serialization.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Regression(int numberOfVariables, boolean includeConstant)` Instantiates a new regression.

### Method Summary

### Methods inherited from class org.apache.commons.math3.stat.regression.MillerUpdatingRegression

`addObservation, addObservations, clear, getDiagonalOfHatMatrix, getN, getOrderOfRegressors, getPartialCorrelations, hasIntercept, regress, regress, regress`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Regression

    public Regression(int numberOfVariables,
                      boolean includeConstant)
               throws org.apache.commons.math3.stat.regression.ModelSpecificationException

Instantiates a new regression.

Parameters:
  `numberOfVariables` - the number of variables
  `includeConstant` - the include constant
Throws:
  `org.apache.commons.math3.stat.regression.ModelSpecificationException` - the model specification exception